Criar caixas de correio em lote
Cria caixas de correio em lote sem retornar senhas.
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk"
payload = {
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
items: [{first_name: '<string>', last_name: '<string>', local_part: '<string>'}]
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parâmetros de caminho
Corpo
Corpo da solicitação para criação de caixas de correio em lote.
Resposta
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Carimbo de data e hora de criação da caixa de correio
Domínio UUID para caixa postal
Nome de domínio da caixa de correio
Nome do usuário da caixa de correio
Caixa postal UUID
Sobrenome do usuário da caixa de correio
Parte local da caixa de correio antes da arroba
Endereço de e-mail da caixa de correio principal
Status do ciclo de vida da caixa de correio
Carimbo de data e hora da última atualização da caixa de correio
Espaço de trabalho UUID para a caixa de correio
Nome de exibição do espaço de trabalho
Esta página foi útil?
